#.XmlElementAttributes


_get
m
s
(Name)s
_next
m
XmlNode

_put
m
s
(Value)s(Name)s
Count
r
i

Name
r
s

Value
r
s

#.XmlReader.Node


Attributes
r
.XmlReader.Node.Attributes

Depth
r
i

IsEmptyElement
r
b

Name
r
s

Type
r
i

Value
r
s

#.XmlReader.Node.Attributes


Exist
m
b
(Name)s
_get
m
s
(Name)s
_next
m
s

Count
r
i

Name
r
i

Value
r
i

#.XmlReaderReadFlags


_get
m
b
(Flag)i
_put
m
b
(Value)b(Flag)i
#XmlCDATANode
XmlTextNode
C
#XmlCommentNode
XmlTextNode
C
#XmlDocument

C
CreateElement
m
XmlElement
(TagName)s
FromString
m

(Data)s
GetElementsByNamespace
m
XmlElement[]
(Namespace)s[(Mode)i(Depth)i]
GetElementsByTagName
m
XmlElement[]
(TagName)s[(Mode)i(Depth)i]
HtmlFromString
m

(Data)s
Open
m

(FileName)s
Save
m

(FileName)s[(Indent)b]
ToString
m
s
[(Indent)b]
Write
m

(FileName)s[(Indent)b]
_free
m


_new
m

[(FileName)s]
Content
p
s

Root
p
XmlElement

All
r
XmlNode[]

#XmlElement
XmlNode
C
FromText
M
XmlNode[]
(Data)s
NormalizeAttributeContent
M
s
(Data)s
AppendChild
m

(NewChild)XmlNode
AppendChildren
m

(NewChildren)XmlNode[]
AppendFromText
m

(Data)s(Arguments).
AppendText
m

(Data)s
ClearChildren
m


GetAttribute
m
s
(Name)s[(Mode)i]
GetChildrenByAttributeValue
m
XmlElement[]
(Attribute)s(Value)s[(Mode)i(Depth)i]
GetChildrenByNamespace
m
XmlElement[]
(Namespace)s[(Mode)i(Depth)i]
GetChildrenByTagName
m
XmlElement[]
(TagName)s[(Mode)i(Depth)i]
InsertAfter
m

(Child)XmlNode;(NewChild)XmlNode
InsertBefore
m

(Child)XmlNode;(NewChild)XmlNode
IsAttributeSet
m
b
(Name)s
PrependChild
m

(NewChild)XmlNode
RemoveAttribute
m

(Name)s
RemoveChild
m

(OldChild)XmlNode
ReplaceChild
m

(OldChild)XmlNode;(NewChild)XmlNode
SetAttribute
m

(Name)s(Value)s
_new
m

[(TagName)s]
NextElement
p
XmlElement

Prefix
p
s

PreviousElement
p
XmlElement

TagName
p
s

AllChildNodes
r
XmlNode[]

ChildElements
r
XmlElement[]

FirstChild
r
XmlNode

FirstChildElement
r
XmlElement

LastChild
r
XmlNode

LastChildElement
r
XmlElement

#XmlExplorer

C
Load
m

(Document)XmlDocument
Open
m

(Path)s
Read
m
i

_free
m


_new
m

[(Document)XmlDocument;]
Document
p
XMLDocument

Eof
r
b

Node
r
XmlNode

ReadFlags
r
.XmlExplorerReadFlags

State
r
i

#XmlNode


AttributeNode
C
i
5
CDATASectionNode
C
i
4
CommentNode
C
i
3
ElementNode
C
i
1
TextNode
C
i
2
Deserialize
M
s
(Data)s
Serialize
M
s
(Data)s
GetUserData
m
v
(Key)s
NewAttribute
m

(Name)s(Value)s
NewElement
m

(Name)s[(Value)s]
SetUserData
m

(Key)s(Value)v
ToString
m
s
[(Indent)b]
_free
m


_new
m


Name
p
s

TextContent
p
s

Value
p
s

Attributes
r
.XmlElementAttributes

ChildNodes
r
XmlNode[]

Children
r
XmlNode[]

Element
r
XmlElement

IsCDATA
r
b

IsComment
r
b

IsElement
r
b

IsText
r
b

Next
r
XmlNode

NextSibling
r
XmlNode

OwnerDocument
r
XmlDocument

Parent
r
XmlElement

Previous
r
XmlNode

PreviousSibling
r
XmlNode

Type
r
i

#XmlReaderNodeType


Attribute
C
i
8
CDATA
C
i
4
Comment
C
i
3
Document
C
i
0
DocumentFragment
C
i
0
DocumentType
C
i
0
Element
C
i
1
EndElement
C
i
6
EndEntity
C
i
0
EndStream
C
i
7
Entity
C
i
0
EntityReference
C
i
0
None
C
i
0
Notation
C
i
0
ProcessingInstruction
C
i
0
SignificantWhitespace
C
i
0
Text
C
i
2
Whitespace
C
i
0
XmlDeclaration
C
i
0
#XmlTextNode
XmlNode
C
_new
m

[(Content)s]
#_XmlAttrNode
XmlNode
C
#_XmlReader

C
_Close
m
i

_ReadChar
m
i
(Char)s
_free
m


_new
m


KeepData
p
b

Depth
r
i

Node
r
.XmlReader.Node

Pos
r
i

ReadFlags
r
.XmlReaderReadFlags

StoredNodes
r
XmlNode[]

#XmlReader
_XmlReader
C
InputStream
p
Stream

Eof
r
b

State
r
i

FromString
m

(Data)s
Read
m
i

Open
m

(path)s
Close
m


#XmlWriter

C
Data
r
s

DTD
r
_XmlWriterDTD

OutputStream
p
Stream

Open
m

[(fileName)s(Indent)b(Encoding)s]
Flush
m


Element
m

(TagName)s[(Value)s(Prefix)s(URI)s]
StartElement
m

(TagName)s[(Attributes)String[];(Prefix)s(URI)s]
EndElement
m


Attribute
m

(Name)s(Value)s[(Prefix)s(URI)s]
Text
m

(sText)s
Comment
m

(sComment)s
CDATA
m

(Data)s
PI
m

(Target)s(Content)s
EndDocument
m
s

Close
m
s

#_XmlWriterDTD

CA
_$writer
v
XmlWriter

